View a markdown version of this page

CreateBrandProfileFromRegistration - AWS End User Messaging

CreateBrandProfileFromRegistration

Creates a brand profile and populates its attributes from an existing registration. This operation runs asynchronously. Use the GetJob operation to track its progress.

Request Syntax

POST /v1/brand-profiles/create-from-registration HTTP/1.1 Content-type: application/json { "brandProfileName": "string", "clientToken": "string", "registrationId": "string", "smartMatch": boolean, "tags": [ { "key": "string", "value": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

brandProfileName

The name of the brand profile. The name can contain alphanumeric characters, underscores, hyphens, and spaces.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_ -]*[A-Za-z0-9_-][A-Za-z0-9_ -]*

Required: Yes

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you do not specify a client token, the AWS SDK automatically generates one.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\x21-\x7E]+

Required: No

registrationId

The identifier or Amazon Resource Name (ARN) of the registration to populate the brand profile from.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

Required: Yes

smartMatch

Specifies whether to use semantic field mapping between brand profile attributes and registration fields. The default is true. When false, the service maps fields using a fixed set of standard field types.

Type: Boolean

Required: No

tags

An array of key and value pair tags that are associated with the resource.

Type: Array of Tag objects

Array Members: Minimum number of 0 items. Maximum number of 50 items.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "results": [ { "jobId": "string", "resourceIdentifier": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

results

The results of the operation. Each result pairs a requested item with the asynchronous job that processes it.

Type: Array of JobResult objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

resourceId

The identifier of the resource that the request conflicts with.

resourceType

The type of the resource that the request conflicts with.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ResourceNotFoundException

The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.

resourceId

The identifier of the resource that could not be found.

resourceType

The type of the resource that could not be found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed a service quota for your account.

HTTP Status Code: 400

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: